ID로 블로그를 가져옵니다. 지금 사용해 보거나 예를 참고하세요.
승인은 비공개 블로그인 경우 필요합니다. 공개 블로그인 경우 승인 없이 이 메서드를 호출할 수 있습니다.
요청
HTTP 요청
GET https://www.googleapis.com/blogger/v3/blogs/blogId
매개변수
| 매개변수 이름 | 값 | 설명 |
|---|---|---|
| 필수 매개변수 | ||
blogId |
string |
가져올 블로그의 ID입니다. |
| 선택적 매개변수 | ||
maxPosts |
unsigned integer |
블로그와 함께 가져올 최대 게시물 수입니다. 이 매개변수를 지정하지 않으면 블로그 리소스의 일부로 게시물이 반환되지 않습니다. |
요청 본문
이 메소드를 사용할 때는 요청 본문을 제공하지 마세요.
응답
이 메서드는 요청에 성공하면 응답 본문에서 Blogs 리소스를 반환합니다.
예
참고: 이 메서드에 제공되는 코드 예시는 지원되는 모든 프로그래밍 언어를 나타내지 않습니다. 지원되는 언어 목록은 클라이언트 라이브러리 페이지를 참고하세요.
자바
Java 클라이언트 라이브러리를 사용합니다.
// The BlogId for the http://code.blogger.com/ blog.
String CODE_BLOG_ID = "3213900";
// Configure the Java API Client for Installed Native AppHttpTr
ansport HTTP_TRANSPORT = new NetHttpTransport();JsonFa
ctory JSON_FACTORY = new JacksonFactory(); class="devsite-syntax-c1">// Configure for the Installed App OAuth2 flow.Credential c
redential = OAuth2Native.authorize(HTTP_TRANSPORT, JSON_FACTOR
Y, new LocalServerReceiver(), Arrays.asLi
st(BloggerScopes.BLOGGER));span> <span class
="devsite-syntax-c1">// Construct the Blogger API access facade object.Blogger blogger =
Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setApplicationNa
me("Blogger-BlogGet-Snippet/1.0") .setHttpRequestIn
itializer(credential).build(); // This is the request action that you can configure before sending the request.Get blogGetAction = blog
ger.blogs().get(CODE_BLOG_ID); // Restrict the result content to just the data we need.blogGetAction.setFields("description,name,posts/totalItems,updated");// This step sends the r
equest to the server.Blog blog = blogGetActio
n.execute(); // Now we can navigate the response.System.out.println("Name
: "+blog.getName());System.out.println("Desc
ription: "+blog.getDescription());System.out.println("Post
Count: "+blog.getPosts().getTotalItems());System.out.println("Last
Updated: "+blog.getUpdated());an>
기능을 사용해 보세요.
아래의 API 탐색기를 사용하여 실시간 데이터를 대상으로 이 메소드를 호출하고 응답을 확인해 보세요.